Results 1 to 8 of 8

Thread: problem of installing bumblebee in SLED 12 sp3

Hybrid View

  1. #1

    problem of installing bumblebee in SLED 12 sp3

    Dear,

    I have added the following depository to my SLED 12 SP3 X64:

    http://download.opensuse.org/reposit...e/SLE_12_SP2_B

    Then I try to install bumblebee with the following command line:

    zypper in bbswitch bumblebee dkms nvidia-bumblebee nvidia-bumblebee-32bit primus VirtualGL-devel VirtualGL-32bit

    But it always failed with messages:

    Code:
    Package 'VirtualGL-32bit' not found.
    'bumblebee' not found in package names. Trying capabilities.
    No provider of 'bumblebee' found.
    Resolving package dependencies...
    2 Problems:
    Problem: nothing provides bumblebee needed by primus-0+git20150328.d1afbf6-27.1.x86_64
    Problem: nothing provides ksym(default:__pm_runtime_idle) = 10d6e9be needed by bbswitch-kmp-default-0.8_k4.4.21_69-26.1.x86_64
    
    Problem: nothing provides bumblebee needed by primus-0+git20150328.d1afbf6-27.1.x86_64
     Solution 1: do not install primus-0+git20150328.d1afbf6-27.1.x86_64
     Solution 2: break primus-0+git20150328.d1afbf6-27.1.x86_64 by ignoring some of its dependencies

    Thank you very much.


    Albert

  2. Re: problem of installing bumblebee in SLED 12 sp3

    Hi
    It all needs to match the SP3 kernel....

    Ask the maintainers to add the SP3 build target.

    If you have an OBS account, copy and rebuild for SP3 and it's kernel or download the src rpms and build locally (probably better since it will match later kernel updates);

    http://download.opensuse.org/reposit...Backports/src/
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Re: problem of installing bumblebee in SLED 12 sp3

    hi, I contacted the developer and he told me that the SP2 and SP3 share the same knernel .....

  4. Re: problem of installing bumblebee in SLED 12 sp3

    Quote Originally Posted by albumns View Post
    hi, I contacted the developer and he told me that the SP2 and SP3 share the same knernel .....
    Hi
    Yes, but it's not built against the running kernel. OBS only contains the kernel from the pool (4.4.21) not updates which is currently at 4.4.92.

    I would drop the two 32bit packages from you list since the virtual gl one doesn't exist....
    https://build.opensuse.org/package/s...ebee/VirtualGL

    You will still need to rebuild the kmp locally for your running kernel.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5

    Re: problem of installing bumblebee in SLED 12 sp3

    thanks a lot for comments.

    I wish the developer could provide Bumblebee soon for SP3.


    Quote Originally Posted by malcolmlewis View Post
    Hi
    Yes, but it's not built against the running kernel. OBS only contains the kernel from the pool (4.4.21) not updates which is currently at 4.4.92.

    I would drop the two 32bit packages from you list since the virtual gl one doesn't exist....
    https://build.opensuse.org/package/s...ebee/VirtualGL

    You will still need to rebuild the kmp locally for your running kernel.

  6. #6

    Re: problem of installing bumblebee in SLED 12 sp3

    btw, I noticed that I cannot find kernel-devel package in SLED 12 SP3;

    Code:
    > sudo zypper in -t pattern devel_kernel
    'devel_kernel' not found in package names. Trying capabilities.
    No provider of 'devel_kernel' found.
    Resolving package dependencies...
    
    Nothing to do.
    This is a compulsory step to install Bumblebee..... What shall I do for this?

    thx again.

  7. Re: problem of installing bumblebee in SLED 12 sp3

    On Mon 04 Dec 2017 07:24:02 AM CST, albumns wrote:

    btw, I noticed that I cannot find kernel-devel package in SLED 12 SP3;


    Code:
    --------------------
    > sudo zypper in -t pattern devel_kernel

    'devel_kernel' not found in package names. Trying capabilities.
    No provider of 'devel_kernel' found.
    Resolving package dependencies...

    Nothing to do.
    --------------------


    This is a compulsory step to install Bumblebee..... What shall I do for
    this?

    thx again.


    Hi
    It's not a pattern these days... look at;
    Code:
    zypper in kernel-default-devel
    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE Leap 42.2|GNOME 3.20.2|4.4.92-18.36-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  8. #8

    Re: problem of installing bumblebee in SLED 12 sp3

    The developer added a new depository for SLED 12 SP3.

    Code:
    http://download.opensuse.org/repositories/X11:/Bumblebee/SLE_12_SP3_Backports/
    Now, everything goes well. My optirun finally back....

    thanks again for helps.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •